# Analyzer
A Performance analyzer for Ruby

Synopsis
--------

```bash
$ analyze test.rb ...
```

Description
-----------

Analyzer runs the provided ruby file(s) to test Iterations per second,
allocations and memory usage.

The scripts can be a normal ruby script or can be split into two parts by the
line `__SETUP__`, everything before will be run once and everything after will
be what is tested.

Options
-------

`-b`, `--bootstrap`: A ruby script to run once before all the test.

`-l`, `--lib`: A script to be included before the `bootstrap` script and all `test` scripts.

`-o`, `--output`: The destination for the results. The result is a `png` file.


Example Report
--------------

This report was generated by the command: `analyzer turbostreamer.rb jbuilder.rb -l setup.rb`

![Viking.js](/example_report.png)